POST api/MESetting/PostNotificationType
Request Information
URI Parameters
None.
Body Parameters
MeEmailNotificationTypeDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| EmailNotificationType | string |
String length: inclusive between 0 and 250 |
|
| MailPriority | integer |
None. |
|
| NotificationFrom | integer |
None. |
|
| MessageTemplate | string |
String length: inclusive between 0 and 8000 |
|
| FromEmailAddress | string |
String length: inclusive between 0 and 250 |
|
| Subject | string |
String length: inclusive between 0 and 350 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"EmailNotificationType": "sample string 2",
"MailPriority": 1,
"NotificationFrom": 3,
"MessageTemplate": "sample string 4",
"FromEmailAddress": "sample string 5",
"Subject": "sample string 6",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:38.5605342-07:00",
"DateUpdated": "2026-08-04T14:25:38.5605342-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfMeEmailNotificationTypeDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | MeEmailNotificationTypeDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"EmailNotificationType": "sample string 2",
"MailPriority": 1,
"NotificationFrom": 3,
"MessageTemplate": "sample string 4",
"FromEmailAddress": "sample string 5",
"Subject": "sample string 6",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:38.5605342-07:00",
"DateUpdated": "2026-08-04T14:25:38.5605342-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11
},
"totalCount": 3
}